X2Go Bug report logs - #621
Missing linkks in libnx-x11 version 3.5.0.27 on UBUNTU

version graph

Package: libnx-x11; Maintainer for libnx-x11 is X2Go Developers <x2go-dev@lists.x2go.org>; Source for libnx-x11 is src:nx-libs.

Reported by: Jorge Bastos <jlbastos@gmail.com>

Date: Thu, 2 Oct 2014 02:25:01 UTC

Severity: normal

Tags: pending

Found in version 3.5.0.27

Fixed in version 2:3.5.0.28

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#621; Package libnx-x11. (Thu, 02 Oct 2014 02:25:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jorge Bastos <jlbastos@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 02 Oct 2014 02:25:01 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.x2go.org (full text, mbox):

From: Jorge Bastos <jlbastos@gmail.com>
To: maintonly@bugs.x2go.org
Subject: Missing linkks in libnx-x11 version 3.5.0.27 on UBUNTU
Date: Wed, 1 Oct 2014 23:21:12 -0300
[Message part 1 (text/plain, inline)]
Package: libnx-x11
Version: 3.5.0.27

Server OS: Ubuntu 12.04.5 LTS

I have a segfault crash when using some applications that use Qt inside
X2GO.

Looking in the bug list, i found a similar problem in ticket #410

The same links are missing and after manually creating then all
applications runs fine.

The missing links are:
/usr/lib/nx/X11/Xinerama/libNX_X11.so.6 ->
/usr/lib/x86_64-linux-gnu/libX11.so.6
/usr/lib/nx/X11/Xinerama/libNX_Xext.so.6 ->
/usr/lib/x86_64-linux-gnu/libXext.so.6


I cant test it on the latest Ubuntu release (14.04) but i checked the
package and the links are missing yet.
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#621; Package libnx-x11. (Thu, 02 Oct 2014 09:55:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 02 Oct 2014 09:55:02 GMT) Full text and rfc822 format available.

Message #10 received at 621@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 621-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 621@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as pending for release
Date: Thu, 2 Oct 2014 11:54:35 +0200 (CEST)
tag #621 pending
fixed #621 2:3.5.0.28
thanks

Hello,

X2Go issue #621 (src:nx-libs) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=5a82f59

The issue will most likely be fixed in src:nx-libs (2:3.5.0.28).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 5a82f59941e6b6a35cbd02e3e42b2b0c32d1a0c9
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Thu Oct 2 11:53:47 2014 +0200

    debian/libnx-x11.postinst: Don't use dpkg-architecture (bin:package dpkg-dev) in postinst script. Instead prep a libnx-x11.postinst script at build time. (Fixes: #621).

diff --git a/debian/changelog b/debian/changelog
index 535d008..9d4fcfd 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -5,6 +5,10 @@ nx-libs (2:3.5.0.28-0x2go1) UNRELEASED; urgency=medium
   * Add 025_nxcomp-fix-ftbfs-against-jpeg9a.full+lite.patch. Fix FTBFS when
     built against libjpeg9a. Thanks to Gabriel Marcano for sending this in.
     (Fixes: #578).
+  * debian/libnx-x11.postinst:
+    + Don't use dpkg-architecture (bin:package dpkg-dev) in postinst script.
+      Instead prep a libnx-x11.postinst script at build time. (Fixes:
+      #621).
 
   [ Nito Martinez ]
   * Add 400_nxcomp-version.full+lite.patch. Allow 4-digit version comparison


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 02 Oct 2014 09:55:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions 2:3.5.0.28. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 02 Oct 2014 09:55:03 GMT) Full text and rfc822 format available.

Message sent on to Jorge Bastos <jlbastos@gmail.com>:
Bug#621. (Thu, 02 Oct 2014 09:55:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#621; Package libnx-x11. (Thu, 13 Nov 2014 21:00:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 13 Nov 2014 21:00:12 GMT) Full text and rfc822 format available.

Message #22 received at 621@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 621-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 621@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Thu, 13 Nov 2014 21:56:46 +0100 (CET)
close #621
thanks

Hello,

we are very hopeful that X2Go issue #621 reported by you
has been resolved in the new release (2:3.5.0.28) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.28)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=39202bb0cfad1a5d78135a205033398003769997;hp=aeb5e8ad5491b9f950cb038ca6eb6b1e15fef05a

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.28-0x2go1
Status: RELEASE
Date: Thu, 13 Nov 2014 21:39:24 +0100
Fixes: 269 578 585 610 621
Changes: 
 nx-libs (2:3.5.0.28-0x2go1) RELEASED; urgency=medium
 .
   [ Mike Gabriel ]
   * Provide COPYING file in tarball. Update debian/copyright.
   * Add 025_nxcomp-fix-ftbfs-against-jpeg9a.full+lite.patch. Fix FTBFS when
     built against libjpeg9a. Thanks to Gabriel Marcano for sending this in.
     (Fixes: #578).
   * Update 027_nxcomp_abstract-X11-socket.full+lite: Add patch header
     (Description: and Author: field).
   * Add 607_nxcomp_macosx-X11-launcher-in-private-tmp.full+lite.patch. Fix check
     for launchd socket path in $DISPLAY on recent Mac OS X systems.
   * Rename 605_nxcomp_Types.h-dont-use-STL-internals-on-libc++.full.patch to
     605_nxcomp_Types.h-dont-use-STL-internals-on-libc++.full+lite.patch. It is
     an nxcomp patch that needs to be applied in the nx-libs-lite _and_ the
     nx-libs-full tarball release.
   * debian/libnx-x11.postinst:
     + Don't use dpkg-architecture (bin:package dpkg-dev) in postinst script.
       Instead prep a libnx-x11.postinst script at build time. (Fixes:
       #621).
   * debian/rules:
     + No such option for dh_auto_build: --with quilt."
   * nx-libs.spec:
     + Adapt installation of debian/VERSION as VERSION.x2goagent and
       nxcomp/VERSION to latest changes introduced by
       400_nxcomp-version.full+lite.patch.
     + Additionally adapt to building on openSUSE/SLES.
     + SUSE hack for linking to files in libX11-6 and libXext6.
     + Make sure all package directories are owned by one of the
       built bin:packages.
     + Fix Xinerama symlink installation into RPM bin:package
       libNX_Xinerama. (Fixes: #269).
 .
   [ Nito Martinez ]
   * Add 400_nxcomp-version.full+lite.patch. Allow 4-digit version comparison
     during NX session handshake. (Fixes: #610).
 .
   [ Ulrich Sibiller ]
   * Add 207_nxagent_fix-xfixes-selection.full.patch. Fix selection handling
     when XFIXES is enabled. (Fixes: #585).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#621; Package libnx-x11. (Thu, 13 Nov 2014 21:00:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 13 Nov 2014 21:00:13 GMT) Full text and rfc822 format available.

Message #27 received at 621@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 621-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 621@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Thu, 13 Nov 2014 21:56:49 +0100 (CET)
close #621
thanks

Hello,

we are very hopeful that X2Go issue #621 reported by you
has been resolved in the new release (2:3.5.0.28) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.28)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=f13f6a6adaa8d33f105041c1b9f52985e75a5912;hp=aeb5e8ad5491b9f950cb038ca6eb6b1e15fef05a

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.28-0x2go1
Status: RELEASE
Date: Thu, 13 Nov 2014 21:39:24 +0100
Fixes: 269 578 585 610 621
Changes: 
 nx-libs (2:3.5.0.28-0x2go1) RELEASED; urgency=medium
 .
   [ Mike Gabriel ]
   * Provide COPYING file in tarball. Update debian/copyright.
   * Add 025_nxcomp-fix-ftbfs-against-jpeg9a.full+lite.patch. Fix FTBFS when
     built against libjpeg9a. Thanks to Gabriel Marcano for sending this in.
     (Fixes: #578).
   * Update 027_nxcomp_abstract-X11-socket.full+lite: Add patch header
     (Description: and Author: field).
   * Add 607_nxcomp_macosx-X11-launcher-in-private-tmp.full+lite.patch. Fix check
     for launchd socket path in $DISPLAY on recent Mac OS X systems.
   * Rename 605_nxcomp_Types.h-dont-use-STL-internals-on-libc++.full.patch to
     605_nxcomp_Types.h-dont-use-STL-internals-on-libc++.full+lite.patch. It is
     an nxcomp patch that needs to be applied in the nx-libs-lite _and_ the
     nx-libs-full tarball release.
   * debian/libnx-x11.postinst:
     + Don't use dpkg-architecture (bin:package dpkg-dev) in postinst script.
       Instead prep a libnx-x11.postinst script at build time. (Fixes:
       #621).
   * debian/rules:
     + No such option for dh_auto_build: --with quilt."
   * nx-libs.spec:
     + Adapt installation of debian/VERSION as VERSION.x2goagent and
       nxcomp/VERSION to latest changes introduced by
       400_nxcomp-version.full+lite.patch.
     + Additionally adapt to building on openSUSE/SLES.
     + SUSE hack for linking to files in libX11-6 and libXext6.
     + Make sure all package directories are owned by one of the
       built bin:packages.
     + Fix Xinerama symlink installation into RPM bin:package
       libNX_Xinerama. (Fixes: #269).
 .
   [ Nito Martinez ]
   * Add 400_nxcomp-version.full+lite.patch. Allow 4-digit version comparison
     during NX session handshake. (Fixes: #610).
 .
   [ Ulrich Sibiller ]
   * Add 207_nxagent_fix-xfixes-selection.full.patch. Fix selection handling
     when XFIXES is enabled. (Fixes: #585).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 13 Nov 2014 21:00:16 GMT) Full text and rfc822 format available.

Notification sent to Jorge Bastos <jlbastos@gmail.com>:
Bug acknowledged by developer. (Thu, 13 Nov 2014 21:00:16 GMT) Full text and rfc822 format available.

Message sent on to Jorge Bastos <jlbastos@gmail.com>:
Bug#621. (Thu, 13 Nov 2014 21:00:26 GMT) Full text and rfc822 format available.

Message sent on to Jorge Bastos <jlbastos@gmail.com>:
Bug#621. (Thu, 13 Nov 2014 21:00:27 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 12 Dec 2014 06:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Apr 20 15:01:51 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.